import { Collections, CompaniesRecord, CompaniesResponse } from '../types/pocketbase.types';
import { PocketbaseService } from './pocketbase.service';

const COLLECTION = PocketbaseService.getApi().collection(Collections.Companies);

export class CompanyService {
  public static async addCompany(company: CompaniesRecord & {password: string}): Promise<CompaniesResponse> {
    return COLLECTION.create({ ...company, passwordConfirm: company.password }, { $cancelKey: `${company.name}` });
  }
  public static async getCompanies(): Promise<CompaniesResponse[]> {
    return COLLECTION.getFullList();
  }
}